Package javax.help

# Class GlossaryView

java.lang.Object
javax.help.NavigatorView
javax.help.IndexView
javax.help.GlossaryView

All Implemented Interfaces:
  `Serializable`

public class GlossaryView extends IndexView
View information for a Glossary Navigator

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.help.IndexView

`IndexView.DefaultIndexFactory`

## Field Summary

### Fields inherited from class javax.help.IndexView

`publicIDString, publicIDString_V2`

## Constructor Summary

Constructors
Constructor
Description
`GlossaryView(HelpSet hs, String name, String label, Hashtable params)`
Construct a GlossaryView with some given data.
`GlossaryView(HelpSet hs, String name, String label, Locale locale, Hashtable params)`
Construct a GlossaryViewer VIew with some given data.

## Method Summary

Modifier and Type
Method
Description
`Component`
`createNavigator(HelpModel model)`
create a navigator for a given model

### Methods inherited from class javax.help.IndexView

`getDataAsTree, getMergeType, parse`

### Methods inherited from class javax.help.NavigatorView

`create, getHelpSet, getImageID, getLabel, getLabel, getLocale, getName, getParameters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlossaryView

public GlossaryView(HelpSet hs, String name, String label, Hashtable params)
Construct a GlossaryView with some given data. Locale defaults to that of the HelpSet

Parameters:
  `hs` - The HelpSet that provides context information
  `name` - The name of the View
  `label` - The label (to show the user) of the View
  `params` - A Hashtable providing different key/values for this type

### GlossaryView

public GlossaryView(HelpSet hs, String name, String label, Locale locale, Hashtable params)
Construct a GlossaryViewer VIew with some given data.

Parameters:
  `hs` - The HelpSet that provides context information
  `name` - The name of the View
  `label` - The label (to show the user) of the View
  `locale` - The default locale to interpret data in this View
  `params` - A Hashtable providing different key/values for this type

## Method Details

### createNavigator

public Component createNavigator(HelpModel model)
create a navigator for a given model

Overrides:
  `createNavigator` in class `IndexView`
Parameters:
  `model` - The HelpModel to create this navigator with. A null model is valid.
Returns:
  The appropriate Component for this view.